"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "setting",
  setup(__props) {
    const logout = () => {
      common_vendor.index.removeStorageSync("identify");
      common_vendor.index.removeStorageSync("cookie");
      common_vendor.index.removeStorageSync("userInfo");
      common_vendor.index.reLaunch({
        url: "/pages/login/login"
      });
      common_vendor.index.showToast({
        title: "退出成功",
        duration: 2e3
      });
    };
    return (_ctx, _cache) => {
      return common_vendor.e({}, {
        a: common_vendor.o(logout)
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/111111000000/uniapp04/pages/setting/setting.vue"]]);
my.createComponent(Component);
